perl-5.6.1 cygwin problem

Charles Wilson cwilson@ece.gatech.edu
Fri Jan 5 10:51:00 GMT 2001


Reini Urban wrote:
> 
> Where to discuss perl-5.6.1 cygwin problems?
> In the perl-porters group or here?
> 
> in perl-5.6.1-TRIAL1 gdbm fails for me.
>   (Could not tie... on both read and write)
> having cygwin-1.1.7, cyggdbm.dll from gdbm-1.8.0-3
> 
> Most of the other cpan packages work fine. Installed and tested a lot.
> 
> >Since Eric has released a perl package based on the 5.6.1-TRIAL1 code,
> >and since his package is slated become an official contribution to the
> >cygwin distro, the perl-5.6.0 at CygUtils is obsolete and a dead-end.
> >If you want to upgrade to the newer perl, you should do the following:

Could also be a problem with gdbm itself.  A few questions:

Does this error occur while perl is testing the ndbm emulation routines
within gdbm?
If so, then are you running on a FAT drive?

---> gdbm's ndbm emulation doesn't work on FAT.

--Chuck

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list